<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__tls__params__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_tls_params_t</compoundname>
    <includes local="no">cy_tls.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__tls__params__t_1a4ae05e94ea7a28a935cd4eeb0fe1533a" kind="variable" mutable="no" prot="public" static="no">
        <type>const char *</type>
        <definition>const char* cy_tls_params_t::rootca_certificate</definition>
        <argsstring />
        <name>rootca_certificate</name>
        <briefdescription>
<para>RootCA certificate in PEM format. </para>        </briefdescription>
        <detaileddescription>
<para>It should be a 'null'-terminated string. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_tls.h" bodystart="120" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_tls.h" line="120" />
      </memberdef>
      <memberdef id="structcy__tls__params__t_1a35aad84ed2472dd02d19b4af83ea4545" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_tls_params_t::rootca_certificate_length</definition>
        <argsstring />
        <name>rootca_certificate_length</name>
        <briefdescription>
<para>RootCA certificate length, excluding the 'null' terminator. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_tls.h" bodystart="121" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_tls.h" line="121" />
      </memberdef>
      <memberdef id="structcy__tls__params__t_1a573b570a103f6ebc9c9bf4d5a6e1d323" kind="variable" mutable="no" prot="public" static="no">
        <type>const void *</type>
        <definition>const void* cy_tls_params_t::tls_identity</definition>
        <argsstring />
        <name>tls_identity</name>
        <briefdescription>
<para>Pointer to memory containing the certificate and private key in the underlying TLS stack format. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_tls.h" bodystart="122" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_tls.h" line="122" />
      </memberdef>
      <memberdef id="structcy__tls__params__t_1a06955dbf1136ae556cca7c39d0356274" kind="variable" mutable="no" prot="public" static="no">
        <type>int</type>
        <definition>int cy_tls_params_t::auth_mode</definition>
        <argsstring />
        <name>auth_mode</name>
        <briefdescription>
<para>TLS authentication mode. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_tls.h" bodystart="123" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_tls.h" line="123" />
      </memberdef>
      <memberdef id="structcy__tls__params__t_1a4149ff366e964d2cd1796b8738ecb018" kind="variable" mutable="no" prot="public" static="no">
        <type>unsigned char</type>
        <definition>unsigned char cy_tls_params_t::mfl_code</definition>
        <argsstring />
        <name>mfl_code</name>
        <briefdescription>
<para>TLS max fragment length code. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_tls.h" bodystart="124" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_tls.h" line="124" />
      </memberdef>
      <memberdef id="structcy__tls__params__t_1ad0ee444760cdf55cbfbaf9f8e483b0b2" kind="variable" mutable="no" prot="public" static="no">
        <type>const char **</type>
        <definition>const char** cy_tls_params_t::alpn_list</definition>
        <argsstring />
        <name>alpn_list</name>
        <briefdescription>
<para>Application-Layer Protocol Negotiation (ALPN) protocol list to be passed in TLS ALPN extension. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_tls.h" bodystart="125" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_tls.h" line="125" />
      </memberdef>
      <memberdef id="structcy__tls__params__t_1a1523b9b71441c583189b5afbff957765" kind="variable" mutable="no" prot="public" static="no">
        <type>char *</type>
        <definition>char* cy_tls_params_t::hostname</definition>
        <argsstring />
        <name>hostname</name>
        <briefdescription>
<para>Server hostname used with the Server Name Indication (SNI) extension. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_tls.h" bodystart="126" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_tls.h" line="126" />
      </memberdef>
      <memberdef id="structcy__tls__params__t_1ab16d06b1abafbf35079bd7f878a2f690" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__cy__tls__typedefs_1ga58d8b1a23cfac4a8e7ad631cdb1b66a0">cy_network_recv_t</ref></type>
        <definition>cy_network_recv_t cy_tls_params_t::network_recv</definition>
        <argsstring />
        <name>network_recv</name>
        <briefdescription>
<para>Pointer to a caller-defined network receive function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_tls.h" bodystart="127" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_tls.h" line="127" />
      </memberdef>
      <memberdef id="structcy__tls__params__t_1a6dcd4ebeb549d85ae5f6db175ec3ca9f" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__cy__tls__typedefs_1ga03ce59df2cb0bbf2a08e687e551c852e">cy_network_send_t</ref></type>
        <definition>cy_network_send_t cy_tls_params_t::network_send</definition>
        <argsstring />
        <name>network_send</name>
        <briefdescription>
<para>Pointer to a caller-defined network send function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_tls.h" bodystart="128" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_tls.h" line="128" />
      </memberdef>
      <memberdef id="structcy__tls__params__t_1a9cc35defe25819af0a6a419a50b723d0" kind="variable" mutable="no" prot="public" static="no">
        <type>void *</type>
        <definition>void* cy_tls_params_t::context</definition>
        <argsstring />
        <name>context</name>
        <briefdescription>
<para>User context. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_tls.h" bodystart="129" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_tls.h" line="129" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Parameter structure for initializing the TLS interface. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="130" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_tls.h" bodystart="118" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_tls.h" line="119" />
    <listofallmembers>
      <member prot="public" refid="structcy__tls__params__t_1ad0ee444760cdf55cbfbaf9f8e483b0b2" virt="non-virtual"><scope>cy_tls_params_t</scope><name>alpn_list</name></member>
      <member prot="public" refid="structcy__tls__params__t_1a06955dbf1136ae556cca7c39d0356274" virt="non-virtual"><scope>cy_tls_params_t</scope><name>auth_mode</name></member>
      <member prot="public" refid="structcy__tls__params__t_1a9cc35defe25819af0a6a419a50b723d0" virt="non-virtual"><scope>cy_tls_params_t</scope><name>context</name></member>
      <member prot="public" refid="structcy__tls__params__t_1a1523b9b71441c583189b5afbff957765" virt="non-virtual"><scope>cy_tls_params_t</scope><name>hostname</name></member>
      <member prot="public" refid="structcy__tls__params__t_1a4149ff366e964d2cd1796b8738ecb018" virt="non-virtual"><scope>cy_tls_params_t</scope><name>mfl_code</name></member>
      <member prot="public" refid="structcy__tls__params__t_1ab16d06b1abafbf35079bd7f878a2f690" virt="non-virtual"><scope>cy_tls_params_t</scope><name>network_recv</name></member>
      <member prot="public" refid="structcy__tls__params__t_1a6dcd4ebeb549d85ae5f6db175ec3ca9f" virt="non-virtual"><scope>cy_tls_params_t</scope><name>network_send</name></member>
      <member prot="public" refid="structcy__tls__params__t_1a4ae05e94ea7a28a935cd4eeb0fe1533a" virt="non-virtual"><scope>cy_tls_params_t</scope><name>rootca_certificate</name></member>
      <member prot="public" refid="structcy__tls__params__t_1a35aad84ed2472dd02d19b4af83ea4545" virt="non-virtual"><scope>cy_tls_params_t</scope><name>rootca_certificate_length</name></member>
      <member prot="public" refid="structcy__tls__params__t_1a573b570a103f6ebc9c9bf4d5a6e1d323" virt="non-virtual"><scope>cy_tls_params_t</scope><name>tls_identity</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>